//
//  ViewController.m
//  Sample Project Bug Report
//
//  Created by Yannick Bloem on 02/02/16.
//  Copyright © 2016 Yannick Bloem. All rights reserved.
//

#import "ViewController.h"
#import "SecondViewController.h"

@interface ViewController (){
    NSMutableArray *newArray;
}

@end

@implementation ViewController
@synthesize BarsSearchController, tableView;

- (void)viewDidLoad {
    [super viewDidLoad];
    [self.navigationController setNavigationBarHidden:YES];
    newArray = [[NSMutableArray alloc] init];
    [newArray addObjectsFromArray:@[@"1", @"2", @"3"]];
    BarsSearchController = [[UISearchController alloc] initWithSearchResultsController:nil];
    BarsSearchController.searchResultsUpdater = self;
    BarsSearchController.dimsBackgroundDuringPresentation = NO;
    BarsSearchController.searchBar.delegate = self;
    BarsSearchController.searchBar.barTintColor = [UIColor whiteColor];
    BarsSearchController.searchBar.searchBarStyle = UISearchBarStyleMinimal;
    BarsSearchController.hidesNavigationBarDuringPresentation = YES;
    self.definesPresentationContext = YES;
    tableView.tableHeaderView = BarsSearchController.searchBar;
    // Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

-(void)viewWillAppear:(BOOL)animated{
    [self.navigationController setNavigationBarHidden:YES];
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return [newArray count];
}

- (void)updateSearchResultsForSearchController:(UISearchController *)searchControllerEvents
{
    [newArray removeAllObjects];
    [newArray addObject:@"1"];
    [tableView reloadData];
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"Cell"];
    cell.textLabel.text = [newArray objectAtIndex:indexPath.row];
    return cell;
}

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    UIStoryboard *storyboard = [UIStoryboard storyboardWithName:@"Main" bundle:nil];
    SecondViewController *sfvc = [storyboard instantiateViewControllerWithIdentifier:@"SecondView"];
    [self.navigationController pushViewController:sfvc animated:YES];
}

@end
